<template>
    <div
        id="full-page-loading"
        class="fixed w-full h-full top-0 left-0 z-99999"
    >
        <div
            class="spinner absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2"
        ></div>
    </div>
</template>

<style lang="scss" scoped>
#full-page-loading {
    display: none;
    background-color: rgba($color: #000000, $alpha: 0.6);
    &.active {
        display: block;
    }
    .spinner {
        width: 30px;
        height: 30px;
        border-radius: 50%;
        background: conic-gradient(#0000 10%, #7367f0);
        -webkit-mask: radial-gradient(
            farthest-side,
            #0000 calc(100% - 3px),
            #000 0
        );
        animation: s3 1s infinite linear;
    }
}
@keyframes s3 {
    to {
        transform: rotate(1turn);
    }
}
</style>
